Subject: Re: bug#19854: 25.0.50; completion-extra-properties in emacs-25

From: Dmitry Gutov <[email-masked]>
Date: Fri, 13 Feb 2015 19:49:17 +0200

Hi!

On 02/13/2015 06:07 PM, Thierry Volpiatto wrote:

> I use (plist-get completion-extra-properties :annotation-function)
> to extract this value, and unfortunately this value has disapeared in
> emacs-25:

Are you sure it should be in that list, in the context you're trying?

Sometimes elisp-completion-at-point includes it in the properties, but 
sometimes (like when the symbol is always a function, or always a 
variable), it doesn't.

What could have changed between 24 and 25, is it being more clever about 
discerning those cases.